Anonymous Login
2019-11-14 10:02 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002043OpenClonkEngine - C4Scriptpublic2018-12-20 09:56
ReporterMarky 
Assigned ToMarky 
PrioritynormalSeverityfeatureReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0002043: Feature Request: GetEnergy(bool exact)
DescriptionCurrently there is no way to find out the exact energy value of an object. You can track it with an effect that has the damage() function, but this should not be necessary and is prone to error if an effect with a different priority changes the damage done.

This may be necessary for certain applications. Currently it is necessary for me. So, I just want to get the exact value for the energy if I call object->GetEnergy(true)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2018-06-16 13:34 Marky New Issue
2018-12-20 09:55 Marky Note Added: 0006194
2018-12-20 09:56 Marky Assigned To => Marky
2018-12-20 09:56 Marky Status new => resolved
2018-12-20 09:56 Marky Resolution open => fixed
2018-12-20 09:56 Marky Fixed in Version => git master
+Issue History